const {app, BrowserWindow} = require('electron')
const url = require("url");
const path = require("path");

let mainWindow

function createWindow () {
  mainWindow = new BrowserWindow({
    kiosk: true,
    webPreferences: {
      nodeIntegration: true
    }
  })

  // disable the top menu bar
  mainWindow.setMenu(null);

  mainWindow.loadURL(
    url.format({
      pathname: path.join(__dirname, `/dist/non-stop-shop/index.html`),
      protocol: "file:",
      slashes: true
    })
  );

  // Open the DevTools.
  // TODO: determine this from an env var
  //mainWindow.webContents.openDevTools()

  mainWindow.on('closed', function () {
    // TODO: determine this from an env var
    //app.relaunch();
    mainWindow = null
  })
}

app.on('ready', createWindow)

app.on('window-all-closed', function () {
  if (process.platform !== 'darwin') app.quit()
})

app.on('activate', function () {
  if (mainWindow === null) createWindow()
})
