#!/bin/bash

VERSION='2.3.2'
PACKAGE_NAME="nss-frontend_$VERSION-1_amd64"
APP_DIR='/usr/share/nss-front'

cd "$(dirname "$0")" || exit

mkdir -p $PACKAGE_NAME/DEBIAN
echo "
Package: nss-frontend
Version: $VERSION
Section: misc
Priority: optional
Maintainer: Westermann GmbH <admin@nonstop-shop.de>
Depends: xorg, openbox, lightdm, libnss3, libasound2
Architecture: amd64
Homepage: http://www.nonstop-shop.de
Description: The frontend for the NonStopShop vending machine
" > $PACKAGE_NAME/DEBIAN/control

mkdir -p $PACKAGE_NAME/$APP_DIR
cp postinst $PACKAGE_NAME/DEBIAN/

(
  cd .. || exit
  npm ci
  npm run build-electron
  cp -r Kiosk-linux-x64/* deploy/$PACKAGE_NAME/$APP_DIR
)

dpkg --build $PACKAGE_NAME
